# Class JsonObjectElement

java.lang.Object
com.macrofocus.persistence.JsonObjectElement

All Implemented Interfaces:
  `Element`

public class JsonObjectElement extends Object implements Element

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsonObjectElement(elemental.json.JsonObject object, String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAttribute(Attribute attribute)`
  `void`
  `appendChild(Element element)`
  `Attribute`
  `getAttribute(int index)`
  `Attribute`
  `getAttribute(String key)`
  `int`
  `getAttributeCount()`
  `String`
  `getAttributeValue(String key)`
  `Elements`
  `getChildElements()`
  `String`
  `getLocalName()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsonObjectElement

    public JsonObjectElement(elemental.json.JsonObject object, String name)

- ## Method Details

  - ### getLocalName

    public String getLocalName()
    Specified by:
      `getLocalName` in interface `Element`

  - ### getAttributeCount

    public int getAttributeCount()
    Specified by:
      `getAttributeCount` in interface `Element`

  - ### getAttribute

    public Attribute getAttribute(int index)
    Specified by:
      `getAttribute` in interface `Element`

  - ### getAttribute

    public Attribute getAttribute(String key)
    Specified by:
      `getAttribute` in interface `Element`

  - ### getChildElements

    public Elements getChildElements()
    Specified by:
      `getChildElements` in interface `Element`

  - ### getAttributeValue

    public String getAttributeValue(String key)
    Specified by:
      `getAttributeValue` in interface `Element`

  - ### addAttribute

    public void addAttribute(Attribute attribute)
    Specified by:
      `addAttribute` in interface `Element`

  - ### appendChild

    public void appendChild(Element element)
    Specified by:
      `appendChild` in interface `Element`